    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.ui;
    020
    021import org.apache.wiki.api.core.Context;
    022
    023
    024/**
    025 *  Provides a generic HTTP handler interface.
    026 *
    027 */
    028public interface GenericHTTPHandler {
    029
    030    /**
    031     *  Get an identifier for this particular AdminBean. This id MUST conform to URI rules. The ID must also be unique across all HTTPHandlers.
    032     *
    033     *  @return the identifier for the bean
    034     */
    035    String getId();
    036
    037    /**
    038     *  Return basic HTML.
    039     *
    040     *  @param context associated WikiContext
    041     *  @return the HTML for the bean
    042     */
    043    String doGet( Context context );
    044
    045    /**
    046     *  Handles a POST response.
    047     *  @param context associated WikiContext
    048     *  @return the response string resulting from the POST
    049     */
    050    String doPost( Context context );
    051
    052}